package org.loom.appengine.converter;

import org.loom.converter.AbstractSimpleConverter;
import org.loom.i18n.MessagesRepository;
import org.springframework.stereotype.Component;

import com.google.appengine.api.datastore.Link;

@Component
public class LinkConverter extends AbstractSimpleConverter {

	protected LinkConverter() {
		super(Link.class);
	}

	@Override
	public Object getAsObject(String text) {
		return new Link(text);
	}
	
	@Override
	protected String getAsTextImpl(Object value, MessagesRepository repository) {
		return ((Link) value).getValue();
	}

}
