package org.loom.appengine.converter;

import org.loom.converter.AbstractSimpleConverter;
import org.loom.i18n.MessagesRepository;
import org.springframework.stereotype.Component;

import com.google.appengine.api.datastore.Text;

@Component
public class TextConverter extends AbstractSimpleConverter {

	protected TextConverter() {
		super(Text.class);
	}

	@Override
	public Object getAsObject(String text) {
		return new Text(text);
	}
	
	@Override
	protected String getAsTextImpl(Object value, MessagesRepository repository) {
		return ((Text) value).getValue();
	}

}
